Copyright: Created with EasyHelp (Tel: 0973 209667)


Alarms/Alarm Channel - RG354025

Description

This block implements a single channel of an alarm-handling system; it must be associated with an alarm handler function block.

The input may be configured to be active-true or active-false.

Parameters

Input	Input to the alarm channel.  Expects true or false.

Get State	Returns the current state of the alarms handler:  Safe (1), Ackd alarm (2), Unackd cleared alarm (3), or New alarm (4).


Description

This block implements a single channel of an alarm-handling system; it must be associated with an alarm handler function block.

The input may be configured to be active-true or active-false.


Parameters

Input	Input to the alarm channel.  Expects true or false.

Get State	Returns the current state of the alarms handler:  Safe (1), Ackd alarm (2), Unackd cleared alarm (3), or New alarm (4).